osl::record::myshogi Namespace Reference

## Functions

std::string | show (const NumEffectState &state)
std::string | show (const NumEffectState &state, Move last_move, const NumEffectState &prev, bool add_csa_move=false)
std::string | show (Player)
std::string | show (Ptype)
std::string | show (Square)
std::string | show (Piece)

## Function Documentation

## show() [1/6]

std::string osl::record::myshogi::show | ( | const NumEffectState & | state | ) |

Definition at line 39 of file myshogi.cc.

References show().

Referenced by show(), show(), and show().

## show() [2/6]

std::string osl::record::myshogi::show | ( | const NumEffectState & | state,
|  | Move | last_move,
|  | const NumEffectState & | prev,
|  | bool | add_csa_move = false )

Definition at line 7 of file myshogi.cc.

References osl::BLACK, osl::SimpleState::countPiecesOnStand(), osl::Move::isNormal(), osl::Piece::isOnBoard(), osl::PieceStand::order, osl::SimpleState::pieceOf(), osl::csa::show(), osl::ki2::show(), show(), osl::Piece::SIZE, osl::Move::to(), osl::WHITE, osl::Square::x(), and osl::Square::y().

## show() [3/6]

std::string osl::record::myshogi::show | ( | Piece | p | ) |

Definition at line 67 of file myshogi.cc.

References osl::Piece::isOnBoard(), osl::Piece::owner(), osl::Piece::ptype(), show(), and osl::Piece::square().

## show() [4/6]

std::string osl::record::myshogi::show | ( | Player | p | ) |

Definition at line 76 of file myshogi.cc.

References osl::BLACK.

## show() [5/6]

std::string osl::record::myshogi::show | ( | Ptype | p | ) |

Definition at line 46 of file myshogi.cc.

## show() [6/6]

std::string osl::record::myshogi::show | ( | Square | p | ) |

Definition at line 58 of file myshogi.cc.

References osl::Square::x(), and osl::Square::y().